PostgreSQL 7.1.3 Documentation
Prev |  | Next

# insert

## Name

insert -- insert a tuple into a database table

## Synopsis

    insert(table, a)

### Parameters

`table`

  Name of table.

`a`

  A dictionary of values.

### Return Type

integer

  The OID of the newly inserted row.

## Description

This method inserts values into the table specified filling in the values from the dictionary. It then reloads the dictionary with the values from the database. This causes the dictionary to be updated with values that are modified by rules, triggers, etc.

Prev | Home | Next
get | Up | update